Package Details: nodejs-node-red 1.0.3-1

Git Clone URL: https://aur.archlinux.org/nodejs-node-red.git (read-only, click to copy)
Package Base: nodejs-node-red
Description: A visual tool for wiring the Internet of Things.
Upstream URL: https://nodered.org
Licenses: Apache
Submitter: ChaosKid42
Maintainer: ChaosKid42
Last Packager: ChaosKid42
Votes: 8
Popularity: 0.51
First Submitted: 2017-08-01 08:03
Last Updated: 2020-02-16 09:02

Latest Comments

kilobyte commented on 2020-02-15 23:06

I advise you to change the architecture from 'any' to 'x86_64'. Now since this is javascript, that might seem counterintuitive, however the final package does contain native code (as part of the bcrypt npm package) and therefore is platform-dependent.

jamesbond007 commented on 2019-12-26 09:22

Removing nodejs-lts-carbon and replacing it with nodejs-lts-dubnium solved the problem. After that, nodejs-node-red installed smoothly.

jamesbond007 commented on 2019-12-25 13:09

When trying to install this package with yay, I get the following error:

node: error while loading shared libraries: libicui18n.so.64: cannot open shared object file: No such file or directory

Am I doing something wrong? Or is that a missing dependency?

ChaosKid42 commented on 2019-02-17 13:52

I believe your module needs to be installed under /usr/lib/node_modules/node-red-contrib-fritz/

ChaosKid42 commented on 2019-02-17 13:47

@avanc: No, it wasn't. Fixed it. Thanks for pointing out.

avanc commented on 2019-02-17 12:26

Is it intended that it is installed under /usr/lib/node_modules/lib/node_modules/node-red?

I'm asking, as I want to create a package for node-red-contrib-fritz. Am I right that I just have to install it under /usr/lib/node_modules/lib/node_modules/node-red/node_modules/?